Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = matches;

var _prefixed = require('./prefixed');

var _prefixed2 = _interopRequireDefault(_prefixed);

var _inDOM = require('./inDOM');

var _inDOM2 = _interopRequireDefault(_inDOM);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// Determine the supported method of 'matches' (with or without prefixes)
function fallback(selector) {
  const matches = document.querySelectorAll(selector);
  let i = matches.length;
  while (--i >= 0 && matches.item(i) !== this) {} // eslint-disable-line no-empty
  return i > -1;
}

const _matchMethod = Element.matches || Element.matchesSelector || Element[(0, _prefixed2.default)('MatchesSelector').filter(method => !!Element[method])[0]] || fallback;

/**
 * Determines whether or not a DOM element matches a given CSS query selector
 * @param  {DOM element} elm - DOM element to test
 * @param  {String} selector - CSS selector {elm} should match
 * @return {Boolean} - Whether or not {elm} matched the selector
 */
function matches(elm, selector = '') {
  if (!(0, _inDOM2.default)(elm)) {
    return false;
  }
  return _matchMethod.call(elm, selector);
}