Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = on;

var _eachWord = require('vanillajs-helpers/eachWord');

var _eachWord2 = _interopRequireDefault(_eachWord);

var _isArray = require('vanillajs-helpers/isArray');

var _isArray2 = _interopRequireDefault(_isArray);

var _isFunction = require('vanillajs-helpers/isFunction');

var _isFunction2 = _interopRequireDefault(_isFunction);

var _isString = require('vanillajs-helpers/isString');

var _isString2 = _interopRequireDefault(_isString);

var _isDOMNode = require('./isDOMNode');

var _isDOMNode2 = _interopRequireDefault(_isDOMNode);

var _isWindow = require('./isWindow');

var _isWindow2 = _interopRequireDefault(_isWindow);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Bind an event handler for one or more event names on a DOM element.
 * @param  {HTMLElement} [elm=document] - DOM element to bind the event to
 * @param  {String|Array<String>} eventNames - Event names to bind the handler to
 * @param  {Function} handler - Handler to bind to the event
 * @return {HTMLElement} - The 'elm' (or document)
 */
function on(elm, eventNames, handler) {
  if ((0, _isString2.default)(elm)) {
    [elm, eventNames, handler] = [document, elm, eventNames];
  }
  if (!(0, _isDOMNode2.default)(elm) && !(0, _isWindow2.default)(elm)) {
    elm = document;
  }

  if ((0, _isFunction2.default)(handler)) {
    if ((0, _isArray2.default)(eventNames)) {
      eventNames = eventNames.join();
    }
    (0, _eachWord2.default)(eventNames, name => elm.addEventListener(name, handler, false), /[, ]+/);
  }

  return elm;
}